Skip to main content
DELETE
/
activities
/
{activityId}
/
recording-transcript
Delete Activity Recording & Transcript
curl --request DELETE \
  --url https://api.lemlist.com/api/activities/{activityId}/recording-transcript \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.lemlist.com/api/activities/{activityId}/recording-transcript"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.lemlist.com/api/activities/{activityId}/recording-transcript', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://api.lemlist.com/api/activities/{activityId}/recording-transcript")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Basic <encoded-value>'

response = http.request(request)
puts response.read_body
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.lemlist.com/api/activities/{activityId}/recording-transcript",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "DELETE",
  CURLOPT_HTTPHEADER => [
    "Authorization: Basic <encoded-value>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "ok": true
}
"Activity not found"
Permanently removes the audio recording file and transcription data from storage, and clears the related metadata from the activity. This action is irreversible — once deleted, the recording and transcript cannot be recovered.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

activityId
string
required

Unique activity ID

Response

Success

ok
boolean
Example:

true